> For the complete documentation index, see [llms.txt](https://docs.fractalworks.io/joule/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fractalworks.io/joule/use-case-examples/telco/anonymise-imsi.md).

# Anonymise IMSI

***

This example performs field level anonymisation on the customer IMSI using RSA encryption. Encryption keys are dynamically generated from a random  initialisation vector with the resulting keys stored in a user defined directory. Encryption processor Documentation can be found [here](/joule/components/processors/transformation/obfuscation/encryption.md).

## Use case configuration

*File: app-anonymisation.env*

```bash
SOURCEFILE=conf/sources/mobileSimulatedStream.yaml
ENGINEFILE=conf/usecases/anonymisation/mobileEventAnonymisation.yaml
PUBLISHFILE=conf/publishers/anonymisedMobileEventFile.yaml
```

## Pipeline configuration <a href="#processor-configuration" id="processor-configuration"></a>

This pipeline will encrypt the event IMSI using sytem generated keys.

```yaml
processing unit:
  pipeline:
    - filter:
          expression: "(imsi !== null ) ? true : false;"
         
    - obfuscation:
        name: imsiEncryption
        fields:
          imsi:
            encryption:
              decrypt: false
              key location: ./keytmp
              aes bit length: 128
              rsa bit length: 2048
              rotate keys: true
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fractalworks.io/joule/use-case-examples/telco/anonymise-imsi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
